Trying tcompile an use the Python 3.4a

Benjamin Kaplan benjamin.kaplan at case.edu
Thu Nov 14 20:28:50 CET 2013


On Nov 14, 2013 5:55 AM, "Nick the Gr33k" <nikos at superhost.gr> wrote:
>
> Will someone please tell me how to install 'pip'
>
> My website is not working because modules are missing and the only way i
can install them is by installing python's module manager 'pip'
>
> but 'yum install python-pip' fails.
>
> How would i install the damn thing?
>
> These action should be done via package managers but i wasn't ven able to
install python 3.4a like that, i had to compile it form source when the
easy thing to do was "yum install python3"
>
> what wrong with this 'yum' manager?
> --
> https://mail.python.org/mailman/listinfo/python-list

package managers assume that they are the only thing installing software on
your system. Any python related package you install through yum will only
be compiled for and installed to the versions of python that you can get
through yum. If you want to compile python outside they package manager,
you'll also have to install all the libraries outside of the package
manager.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/python-list/attachments/20131114/450276a8/attachment.html>


More information about the Python-list mailing list